Bug 54634 - Anaconda crashes after installing packages, on RHL 7.1. Complains of runtime errors and such[see attachment] on HP NetServer 5/133 LH
Anaconda crashes after installing packages, on RHL 7.1. Complains of runtime ...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-14 14:12 EDT by Adam Gretzinger
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-15 15:46:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Dump information (1.17 KB, text/plain)
2001-10-14 14:13 EDT, Adam Gretzinger
no flags Details

  None (edit)
Description Adam Gretzinger 2001-10-14 14:12:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Anaconda crashes after installing packages, on RHL 7.1. Complains of 
runtime errors and such[see attachment]

After the isntallation is nearly complete, it finishes doing the rpm 
packages. When the post install is inprogress it crashes everytime with 
this same information. [see attachment]

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. on an HP NetServer 5/133 install redhat 7.1
2. install Redhat 7.1, installation fails after package installation.
3. post install on packages fails [see attachment]
	

Actual Results:  installation terminates abnormally, anaconda dumps info.

Additional info:

Anaconda dump here:

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in 
__call__
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1965, in 
doInstall
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1659, in 
writeConfiguration
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 904, in 
writeRootPassword
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1481, in 
setPassword
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iutil.py", line 48, in 
execWithRedirect
RuntimeError: /usr/sbin/usermod can not be run

Local variables in innermost frame:
argv: ['/usr/sbin/usermod', '-p', '$1$k2kBof.6
$FMyeArtCVmIhv94/59vJX1', 'root']
root: /mnt/sysimage
stdin: 0
newPgrp: 0
stdout: 26
stderr: 27
command: /usr/sbin/usermod
searchPath: 0
ignoreTermSigs: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(itext
ProgressWindow
(dp5
S'scale'
p6
NsS'screen'
p7
(isnack
SnackScreen
p8
(dp9
S'height'
p10
I25
sS'width'
p11
I80
sS'helpCb'
p12

<failed>
Comment 1 Adam Gretzinger 2001-10-14 14:13:08 EDT
Created attachment 34081 [details]
Anaconda Dump information
Comment 2 Brent Fox 2001-10-15 15:46:37 EDT
Sounds like something is wrong with your cds.  Can you press <Ctrl><Alt><F4>
when the crash occurs and see if you see any error messages?

Note You need to log in before you can comment on or make changes to this bug.